/**
  (c) Copyright CERN 2005. All rights not expressly granted are reserved.
  icecontrols.support@cern.ch

  SPDX-License-Identifier: Apache-2.0
**/

// $License: NOLICENSE
//--------------------------------------------------------------------------------
/**
  @file $relPath
  @copyright $copyright
  @author soham
*/

//--------------------------------------------------------------------------------
// Libraries used (#uses)

//--------------------------------------------------------------------------------
// Variables and Constants


//--------------------------------------------------------------------------------
//@public members
//--------------------------------------------------------------------------------
mapping AlarmScreenFilterViewActionsJCOP_itemAppearanceOpenInNewWindow(const mapping &mArgs, const mapping &mItem, dyn_string &dsExceptions){
  mapping mResult; // empty mapping = always displayed.
  return mResult;
}

void AlarmScreenFilterViewActionsJCOP_openInNewWindow(const mapping &mArgs, dyn_string &exceptionInfo){
  mapping mFilterData = mArgs["mFilter"];
  string filterName = mFilterData["filterName"];
  string filterDpName = mFilterData["filterDpName"];
  ChildPanelOn("vision/fwAlarmScreenNg/fwAlarmScreenNg.pnl",
               filterName, makeDynString("$sFilterDpName:"+filterDpName), 0, 0);
  DebugN("Filter: '"+ filterName +"' opened in a new alarm screen window.");
}

//--------------------------------------------------------------------------------
//@private members
//--------------------------------------------------------------------------------
