/**
  (c) Copyright CERN 2005. All rights not expressly granted are reserved.
  icecontrols.support@cern.ch

  SPDX-License-Identifier: Apache-2.0
**/

/**@file
 *
 * Documentation of the JCOP Alarm Screen NG
 *
 * @author Luis Miguens Fernandez (CERN BE-ICS-FT)
 */



/** @mainpage JCOP Alarm Screen NG
 *
 * @section LoginWidget Displaying the Login Widget in the JCOP Alarm Screen NG Panel
 *
 * The JCOP Framework Alarm Screen NG contains a single panel:
 * <code>vision/fwAlarmScreenNg/fwAlarmScreenNg.xml</code>
 *
 * The user can activate the login widget in the upper right corner of the Alarm Screen NG
 * setting the dollar parameter <code>$bLoginWidget</code> to <code>true</code>
 *
 * If you are starting the Alarm Screen panel adding a manager in WinCC OA Console, you can use
 * the following format in the Options text box to pass the dollar parameter to the panel:
 * <code>-p "vision/fwAlarmScreenNg/fwAlarmScreenNg.pnl,$bLoginWidget:true" -iconBar -menuBar</code>
 *
 */
//-----------------------------------------------------------
